Package org.codehaus.groovy.reflection.stdclasses

# Class FloatCachedClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
org.codehaus.groovy.reflection.stdclasses.FloatCachedClass

public class FloatCachedClass extends NumberCachedClass

Author:
  Alex.Tkachman

## Nested Class Summary

## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

## Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

## Constructor Summary

Constructors
Constructor
Description
`FloatCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`coerceArgument(Object argument)`
`boolean`
`isAssignableFrom(Class classToTransformFrom)`
`boolean`
`isDirectlyAssignable(Object argument)`

### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

`addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FloatCachedClass

public FloatCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

## Method Details

### coerceArgument

public Object coerceArgument(Object argument)

Overrides:
  `coerceArgument` in class `NumberCachedClass`

### isDirectlyAssignable

public boolean isDirectlyAssignable(Object argument)

Overrides:
  `isDirectlyAssignable` in class `CachedClass`

### isAssignableFrom

public boolean isAssignableFrom(Class classToTransformFrom)

Overrides:
  `isAssignableFrom` in class `NumberCachedClass`